org.eclipse.ease.lang.unittest.ui.views

## Class TestSuiteContentProvider

- java.lang.Object
- - org.eclipse.jface.viewers.ArrayContentProvider
  - - org.eclipse.ease.lang.unittest.ui.views.TestSuiteContentProvider

All Implemented Interfaces:
  IContentProvider, IStructuredContentProvider, ITreeContentProvider

    public class TestSuiteContentProvider
    extends ArrayContentProvider
    implements ITreeContentProvider

### Constructor Summary

Constructors
Constructor and Description
`TestSuiteContentProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object[]` `getChildren(java.lang.Object parentElement)`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`java.lang.Object` `getParent(java.lang.Object element)`
`boolean` `hasChildren(java.lang.Object element)`

### Methods inherited from class org.eclipse.jface.viewers.ArrayContentProvider

`getInstance`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

`dispose, inputChanged`

### Constructor Detail

#### TestSuiteContentProvider

    public TestSuiteContentProvider()

### Method Detail

#### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

Specified by:
  `getElements` in interface `IStructuredContentProvider`
Specified by:
  `getElements` in interface `ITreeContentProvider`
Overrides:
  `getElements` in class `ArrayContentProvider`

#### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

Specified by:
  `getChildren` in interface `ITreeContentProvider`

#### getParent

    public java.lang.Object getParent(java.lang.Object element)

Specified by:
  `getParent` in interface `ITreeContentProvider`

#### hasChildren

    public boolean hasChildren(java.lang.Object element)

Specified by:
  `hasChildren` in interface `ITreeContentProvider`